EZ_PutGLImage(3)

NAME
EZ_PutGLImage, EZ_PutGLImageWindow, EZ_PutGLImageXWindow, EZ_PutGLImageScreen - create/free an gl image.

SYNOPSIS
#include <EZ.h>

void EZ_PutGLImage(EZ_GLImage *image, int x, int y,
                   int w, int h, float mx, float my, float mz)
void EZ_PutGLImageScreen(EZ_GLImage *image, int x, int y,
                   int w, int h, float sx, float sy, float sz)
void EZ_PutGLImageWindow(EZ_GLImage *image, int x, int y,
                   int w, int h, int wx, int wy)
void EZ_PutGLImageXWindow(EZ_GLImage *image, int x, int y,
                   int w, int h, int xx, int xy)

ARGUMENTS
image Specifies a GL image. Must be created by EZ_CreateGLImage.

x,y,w,h Specifies a (rectangular) region of the image to be displayed. (x,y) specifies the offset of the upper-left corner relative to the upper-left corner of the image. w and h specifies the width and the height of the region.

mx,my,mz Specifies the location to put the image, in modeling space.

sx,sy,sz Specifies the location to put the image, in screen coordinates (normalized device coordinates: [-1,1]^3).

wx,wy Specifies the location to put the image, in window coordinates (origin at the lower-left corner).

xx,xy Specifies the location to put the image, in X window coordinates (origin at the upper-left corner).

DESCRIPTION

These set of procedures renders an image in the current draw buffer.

SEE ALSO
EZ_CreateGLImage(3), EZ_DrawString(3)